0

I am try spacemacs. It can correctly recognise a coffee script and start coffeescript mode. However when I try to run coffee REPL, it shows this error:

enter image description here

How can I fix it?

  • Do you have the coffee program installed and is it in your PATH? If so, you might simply be hitting the old problem of env-vars (i.e. your Emacs did not inherit the PATH config that you set in your shell config, because it was not started from a shell)? – Stefan Jul 4 '17 at 13:06
1

You need first to install the coffee executable.

From here, you can install it with:

npm install -g coffeescript
0

I use

  brew install coffeescript

to install a coffee script runtime.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.